import QtQuick 1.0

Rectangle {
    id:bg
    width: 300
    height: 200
    anchors.fill: parent

    function afegeixElement(text)
    {
        model.append({ name: text })
    }

    TextInput {
        id: input

        text: "text"
        anchors.left: parent.left
        anchors.right: button.left
    }

    Rectangle {
        id: button
        width: 50
        height: 20
        x: bg.width-width

        Text {
            anchors.fill: parent

            text: "Afegeix"
        }

        MouseArea {
            anchors.fill: parent

            onClicked: afegeixElement(input.text)
        }
    }

    ListModel { id: model }

    PathView {
        id: view2
        x: 0
        width: parent.width
        anchors.top: view.bottom
        anchors.topMargin: 0
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0

        model: model
        delegate: Text { text: ">>> "+name+" <<<"; font.pixelSize: PathView.fontSize }

        path: Path {
                     startX: 120; startY: 100
                     PathAttribute { name: "fontSize"; value: 20.0 }
                     PathQuad { x: 120; y: 25; controlX: 260; controlY: 75 }
                     PathAttribute { name: "fontSize"; value: 8 }
                     PathQuad { x: 120; y: 100; controlX: -20; controlY: 75 }
                 }

    }

    ListView {
        id: view
        model: model
        delegate: Text { text: "... "+name+" ..." }

        width: parent.width
        height: 100
        anchors.top: button.bottom
    }
}
